Skip to main content
POST
/
api
/
trpc
/
project.create
Create Project
curl --request POST \
  --url https://app.tryiris.dev/api/trpc/project.create \
  --header 'Content-Type: application/json' \
  --header 'IRIS_ACCESS_TOKEN: <iris_access_token>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "organizationId": "<string>"
}
'
[
  {
    "result": {
      "data": {
        "json": {
          "id": "e52a06ec-6a16-4ae1-9a06-75cab17423c5",
          "name": "pokemon",
          "description": "This will contain tests for making sure all pokemons are healthy",
          "organizationId": "6ae3ce30-c530-4a80-b9eb-d7acfcf7ee73",
          "createdAt": "2025-01-01T07:55:48.106Z",
          "updatedAt": "2025-01-01T07:55:48.106Z",
          "cookies": null,
          "session": null,
          "localStorage": null
        }
      }
    }
  }
]

Create Project

Create a new project within your organization for organizing your automated tests.

Headers

IRIS_ACCESS_TOKEN
string
required
Your Iris API access token

Body

name
string
required
Name of the project
description
string
required
Description of the project
organizationId
string
required
ID of your organization

Response

Returns the created project details upon success.
{
  "0": {
    "json": {
      "data": {
        "name": "pokemon",
        "description": "This will contain tests for making sure all pokemons are healthy",
        "organizationId": "6ae3ce30-c530-4a80-b9eb-d7acfcf7ee73"
      }
    }
  }
}
[
  {
    "result": {
      "data": {
        "json": {
          "id": "e52a06ec-6a16-4ae1-9a06-75cab17423c5",
          "name": "pokemon",
          "description": "This will contain tests for making sure all pokemons are healthy",
          "organizationId": "6ae3ce30-c530-4a80-b9eb-d7acfcf7ee73",
          "createdAt": "2025-01-01T07:55:48.106Z",
          "updatedAt": "2025-01-01T07:55:48.106Z",
          "cookies": null,
          "session": null,
          "localStorage": null
        }
      }
    }
  }
]

Response Fields

id
string
Unique identifier for the created project
name
string
Name of the project
description
string
Description of the project
organizationId
string
The organization ID associated with the project
createdAt
date
Timestamp of when the project was created
updatedAt
date
Timestamp of when the project was last updated